%define package logs
%define version 0.2.0
%define release 0.beta2

Name:		wpkg-%{package}
Version:	%{version}
Release:	%{release}%{?dist}
Summary:	%{package} for WPKG on iPasserelle

Group:		System/Softwares
URL:		http://www.ipasserelle.com
Source0:	%{name}-%{version}.tar.gz
License:	misc

BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	unix2dos

Requires:	ipasserelle-gp

%description
%{package} for WPKG on iPasserelle

%prep
%setup -q -n %{name}-%{version}

%build
unix2dos packages/*

%install
/bin/rm -rf %{buildroot}
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/packages
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}
cp -r softwares/* %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}/
cp -r packages/* %{buildroot}/home/e-smith/files/shares/wpkg/files/packages/

%clean
/bin/rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG.git
/home/e-smith/files/shares/wpkg/files/

%changelog
* Thu Nov 5 2015 Daniel Berteaud <daniel@firewall-services.com> 0.2.0-1
- Push logs through webdav

* Fri Sep 21 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.2-1
- Stop copying FusionInventory logs

* Wed Jun 6 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.1-1
- Fix fusioninventory agent log copy

* Wed Jun 6 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.0-1
- Change version scheme

* Wed Jun 6 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1+0.3-1
- Fix fusioninventory dir creation

* Tue Jun 5 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1+0.2-1
- Copy fusioninventory-agent logs

* Tue Jun 5 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1+0.1-1
- initial release

